--- exim.conf.orig	2012-10-27 02:12:51.000000000 -0600
+++ exim.conf	2013-04-05 18:16:23.000000000 -0600
@@ -494,6 +494,10 @@
     server_condition = "${perl{smtpauth}}"
     server_set_id = $1
 
+auth_login:
+    driver = plaintext
+    public_name = LOGIN
+    hide client_send = : your@email.com : yourpass
 
 ######################################################################
 #                      REWRITE CONFIGURATION                         #
@@ -518,13 +522,14 @@
 # that resolves to an IP address on the loopback interface (127.0.0.0/8) is
 # treated as if it had no DNS entry.
 
-lookuphost:
-  driver = dnslookup
-  domains = ! +local_domains
-  ignore_target_hosts = 127.0.0.0/8
-  condition = "${perl{check_limits}}"
-  transport = remote_smtp
-  no_more
+smart_route:
+     driver = manualroute
+     domains = ! +local_domains
+     ignore_target_hosts = 127.0.0.0/8
+     condition = "${perl{check_limits}}"
+     transport = auth_relay
+     route_list = * smtp.yourisp.com
+     no_more
 
 # This router routes to remote hosts over SMTP by explicit IP address,
 # when an email address is given in "domain literal" form, for example,
@@ -743,6 +748,11 @@
   user = mail
   # must use a privileged user to set $received_protocol on the way back in!
 
+auth_relay:
+    driver = smtp
+    port = 25
+    hosts_require_auth = $host_address
+    hosts_require_tls = $host_address
 
 #majordomo
 majordomo_pipe:
